part of 'add_review_cubit.dart';

abstract class AddReviewState extends Equatable {
  const AddReviewState();

  @override
  List<Object?> get props => [];
}

class AddReviewInitial extends AddReviewState {
  const AddReviewInitial();
}

class AddReviewSubmitting extends AddReviewState {
  const AddReviewSubmitting();
}

class AddReviewSuccess extends AddReviewState {
  const AddReviewSuccess();
}

class AddReviewFailure extends AddReviewState {
  const AddReviewFailure({required this.message});

  final String message;

  @override
  List<Object?> get props => [message];
}
